remove noop uses of nix-store --init

the nix-store --init command is a noop apparently
This commit is contained in:
zimbatm 2019-02-22 21:07:48 +01:00
parent e58a71442a
commit b402148d8f
No known key found for this signature in database
GPG Key ID: 71BAF6D40C1D63D7
5 changed files with 0 additions and 14 deletions

View File

@ -278,7 +278,6 @@ let
pkgs.runCommand "eval-nixos" { buildInputs = [ build.x86_64-linux ]; }
''
export NIX_STATE_DIR=$TMPDIR
nix-store --init
nix-instantiate ${nixpkgs}/nixos/release-combined.nix -A tested --dry-run \
--arg nixpkgs '{ outPath = ${nixpkgs}; revCount = 123; shortRev = "abcdefgh"; }'

View File

@ -674,9 +674,6 @@ $NIX_INSTALLED_NIX.
EOF
fi
_sudo "to initialize the Nix Database" \
$NIX_INSTALLED_NIX/bin/nix-store --init
cat ./.reginfo \
| _sudo "to load data for the first time in to the Nix Database" \
"$NIX_INSTALLED_NIX/bin/nix-store" --load-db

View File

@ -109,12 +109,6 @@ for i in $(cd "$self/store" >/dev/null && echo ./*); do
done
echo "" >&2
echo "initialising Nix database..." >&2
if ! $nix/bin/nix-store --init; then
echo "$0: failed to initialize the Nix database" >&2
exit 1
fi
if ! "$nix/bin/nix-store" --load-db < "$self/.reginfo"; then
echo "$0: unable to register valid paths" >&2
exit 1

View File

@ -53,7 +53,6 @@ clearStore() {
mkdir "$NIX_STORE_DIR"
rm -rf "$NIX_STATE_DIR"
mkdir "$NIX_STATE_DIR"
nix-store --init
clearProfiles
}

View File

@ -25,9 +25,6 @@ fsync-metadata = false
!include nix.conf.extra.not-there
EOF
# Initialise the database.
nix-store --init
# Did anything happen?
test -e "$NIX_STATE_DIR"/db/db.sqlite